To draw edges between 2 curves (step 5)you could paste this into some Ruby code editor.
Untested..
a=Sketchup.active_model;b=a.entities;c=a.selection;d={};c.grep(Sketchup;;Edge).each{|e|if cc = e.curve;next if d.has_key?(cc);d[cc] = cc.vertices.collect{|v| v.position };end};if d.length == 2;crvpt1 = d.values[0];crvpt2 = d.values[1];unless crvpt1.length == crvpt2.length;puts "unmatching points from curves";else;gps = b.add_group.entities;for i in (0...crvpt1.length);gps.add_edges(crvpt1[i], crvpt2[i]);end;end;else;puts "Select only 2 curves, please";end
Edit: Compressed it to 1 line for pasting into Ruby consol..